- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptimizationSolutionStatus Class Reference

The OptimizationSolutionStatus Class. More...

`#include <OSResult.h>`

Collaboration diagram for OptimizationSolutionStatus:

[legend]
List of all members.

## Public Member Functions
| OptimizationSolutionStatus ()
| Default constructor.
| ~OptimizationSolutionStatus ()
| Class destructor.
bool | IsEqual (OptimizationSolutionStatus *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| OptimizationSolutionStatus ()
| Default constructor.
| ~OptimizationSolutionStatus ()
| Class destructor.
## Public Attributes
int | numberOfSubstatuses
| the number of substatus objects
std::string | type
| the type of solution status
std::string | description
| a description of the solution status type
OptimizationSolutionSubstatus ** | substatus
| a pointer to an array of substatus objects
std::vector< OptimizationSolutionSubstatus * > | substatus
| a pointer to an array of substatus objects

## Detailed Description

The OptimizationSolutionStatus Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for holding various attributes of a solution status

Definition at line 778 of file OSResult.h.

## Constructor & Destructor Documentation

OptimizationSolutionStatus::OptimizationSolutionStatus | ( |  | ) |

Default constructor.

Definition at line 357 of file OSResult.cpp.

OptimizationSolutionStatus::~OptimizationSolutionStatus | ( |  | ) |

Class destructor.

Definition at line 369 of file OSResult.cpp.

References numberOfSubstatuses, and substatus.

OptimizationSolutionStatus::OptimizationSolutionStatus | ( |  | ) |

Default constructor.

OptimizationSolutionStatus::~OptimizationSolutionStatus | ( |  | ) |

Class destructor.

## Member Function Documentation

bool OptimizationSolutionStatus::IsEqual | ( | OptimizationSolutionStatus * | that | ) |

A function to check for the equality of two objects.

Definition at line 6027 of file OSResult.cpp.

bool OptimizationSolutionStatus::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7710 of file OSResult.cpp.

## Member Data Documentation

int OptimizationSolutionStatus::numberOfSubstatuses

the number of substatus objects

Definition at line 782 of file OSResult.h.

Referenced by ~OptimizationSolutionStatus().

std::string OptimizationSolutionStatus::type

the type of solution status

Definition at line 785 of file OSResult.h.

std::string OptimizationSolutionStatus::description

a description of the solution status type

Definition at line 788 of file OSResult.h.

OptimizationSolutionSubstatus** OptimizationSolutionStatus::substatus

a pointer to an array of substatus objects

Definition at line 791 of file OSResult.h.

Referenced by ~OptimizationSolutionStatus().

std::vector<OptimizationSolutionSubstatus*> OptimizationSolutionStatus::substatus

a pointer to an array of substatus objects

Definition at line 394 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp